# Uses of Class
org.apache.sling.feature.maven.mojos.apis.ApisJarContext.ArtifactInfo

Packages that use ApisJarContext.ArtifactInfo
Package
Description
org.apache.sling.feature.maven.mojos.apis

## Uses of ApisJarContext.ArtifactInfo in org.apache.sling.feature.maven.mojos.apis

Methods in org.apache.sling.feature.maven.mojos.apis that return ApisJarContext.ArtifactInfo
Modifier and Type
Method
Description
`ApisJarContext.ArtifactInfo`
ApisJarContext.`addArtifactInfo(org.apache.sling.feature.Artifact artifact)`
`ApisJarContext.ArtifactInfo`
ApisJarContext.`getArtifactInfo(org.apache.sling.feature.ArtifactId artifactId)`
Methods in org.apache.sling.feature.maven.mojos.apis that return types with arguments of type ApisJarContext.ArtifactInfo
Modifier and Type
Method
Description
`List<ApisJarContext.ArtifactInfo>`
ApisJarContext.`getArtifactInfos()`
`Collection<ApisJarContext.ArtifactInfo>`
ApisJarContext.`getArtifactInfos(String regionName, boolean omitDependencyArtifacts)`
Methods in org.apache.sling.feature.maven.mojos.apis with parameters of type ApisJarContext.ArtifactInfo
Modifier and Type
Method
Description
`boolean`
ApisJarContext.`findDependencyArtifact(org.apache.maven.plugin.logging.Log log, ApisJarContext.ArtifactInfo info)`
Check if all dependency artifacts can be found
Method parameters in org.apache.sling.feature.maven.mojos.apis with type arguments of type ApisJarContext.ArtifactInfo
Modifier and Type
Method
Description
`void`
JavadocLinks.`calculateLinks(List<String> globalJavaDocLinks, Collection<ApisJarContext.ArtifactInfo> infos, org.apache.sling.feature.Artifact framework)`
`static void`
ApisUtil.`writeSourceReport(boolean write, org.apache.maven.plugin.logging.Log log, File reportFile, List<ApisJarContext.ArtifactInfo> infos)`